Bug 1316505 - Steam now segfaults with self built Mesa (used to work)
Steam now segfaults with self built Mesa (used to work)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mesa (Show other bugs)
23
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-10 06:21 EST by sheepdestroyer
Modified: 2016-03-20 06:27 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-20 06:27:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description sheepdestroyer 2016-03-10 06:21:44 EST
On fedora 23 64b, Intel HD3000 (SNB)

I used to be able to run Steam on my self built i686 Mesa drivers, but not recently (few months).

I tried to build the simplest Mesa with default options, copying those of official Fedora (copied from koji, is there a better way?), then about any mix of FLAGS and arguments.

Steam runs on official Fedora Mesa builds but not on self built one anymore.
Reinstalling distro drivers does permit to run steam again.

It's not a generic pb with my build config though, as any other i686 GL apps run just fine.

What is the best way to compile an equivalent Mesa to the one available in repo?
What changed in Fedora that self built drivers (with default options) used to work but not anymore?

---------------------------------------

[sheepdestroyer@sheepora ~] $ steam
Running Steam on fedora 23 64-bit
STEAM_RUNTIME is enabled automatically
Installing breakpad exception handler for appid(steam)/version(1457571406)
Installing breakpad exception handler for appid(steam)/version(1457571406)
Installing breakpad exception handler for appid(steam)/version(1457571406)
assert_20160310200202_1.dmp[22400]: Uploading dump (out-of-process)
/tmp/dumps/assert_20160310200202_1.dmp
/home/sheepdestroyer/.local/share/Steam/steam.sh: line 756: 22394 Segmentation fault      (core dumped) $STEAM_DEBUGGER "$STEAMROOT/$STEAMEXEPATH" "$@"
assert_20160310200202_1.dmp[22400]: Finished uploading minidump (out-of-process): success = yes
assert_20160310200202_1.dmp[22400]: response: CrashID=bp-9f7860f2-0a2f-4c4a-90e3-0ce112160310
assert_20160310200202_1.dmp[22400]: file ''/tmp/dumps/assert_20160310200202_1.dmp'', upload yes: ''CrashID=bp-9f7860f2-0a2f-4c4a-90e3-0ce112160310''
[sheepdestroyer@sheepora ~] $
Comment 1 sheepdestroyer 2016-03-10 10:17:01 EST
also opened at freedesktop : https://bugs.freedesktop.org/show_bug.cgi?id=94478
and at steam : https://github.com/ValveSoftware/steam-for-linux/issues/4350
Comment 2 sheepdestroyer 2016-03-10 10:18:26 EST
I did try with both STEAM_RUNTIME=0 and STEAM_RUNTIME=1, to same results.
Comment 3 sheepdestroyer 2016-03-11 02:08:42 EST
Analyze of the crash dump gave libcrypto.so.1.0.2g related error. Someone helpful guessed that "this is from the removal of ssl2 which happened in openssl 1.0.2f -> 1.0.2g"

So I rebuilt mesa with --with-sha1=libnettle (instead of libcrypto) and that now works.

Who is to blame?
Comment 4 Igor Gnatenko 2016-03-20 06:27:00 EDT
Steam problems, not mesa.

Note You need to log in before you can comment on or make changes to this bug.